[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] error: negative width in bit-field '_gl_verify_error_if_negative' ?



got fixed, thanks.

On Thu, Apr 2, 2015 at 12:16 AM, Eric Blake <eblake redhat com> wrote:
> On 04/01/2015 03:38 AM, Zhi Yong Wu wrote:
>> HI,
>>
>> Does anyone hit this issue when compiling libvirt?
>>
>>   CCLD     libvirt.la
>>   CC       libvirt_qemu_la-libvirt-qemu.lo
>>   CCLD     libvirt-qemu.la
>>   CC       libvirt_lxc_la-libvirt-lxc.lo
>>   CCLD     libvirt-lxc.la
>>   CC       lockd_la-lock_driver_lockd.lo
>>   CC       lockd_la-lock_protocol.lo
>>   CCLD     lockd.la
>>   CC       libvirt_driver_qemu_impl_la-qemu_agent.lo
>>   CC       libvirt_driver_qemu_impl_la-qemu_capabilities.lo
>> qemu/qemu_capabilities.c:55: error: negative width in bit-field
>> '_gl_verify_error_if_negative'
>
> Usually, this means you changed something in code that requires a
> parallel change somewhere else to keep array sizes in sync, or whatever
> else the compile-time assertion is checking for.  This particular error
> is part of VIR_ENUM_IMPL, which means you probably added a capability in
> qemu_capabilities.h but forgot to associate it with a string here.
>
> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>



-- 
Regards,

Zhi Yong Wu


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]